#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.9.4 (beta)
 Author:         FireFox (aka d3mon, d3monCorp)

 Script Function:
	Example for the TrayIconEx UDF.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here
#NoTrayIcon
#include "TrayIconEx_UDF.au3"
#include <GUIMenu.au3>

GUIRegisterMsg($WM_COMMAND, "WM_COMMAND")

Global Enum $CM_EXIT = 1, $CM_DELETEICON2, $CM_SETICON2

#region TrayIcon1
;creates a tray icon with an icon extracted from the current app, and sets a callback function.
Global Const $iTrayId1 = _TrayIconEx_Create(Default, -4, "_TrayCallBack")
;shows the tray icon
_TrayIconEx_SetState()
;sets a tooltip, default: AutoIt - Script Name.
_TrayIconEx_SetToolTip()

;context menu for the icon
Global Const $hMenu = _GUICtrlMenu_CreatePopup()
_GUICtrlMenu_AddMenuItem($hMenu, "Set TrayIcon 2", $CM_SETICON2)
_GUICtrlMenu_AddMenuItem($hMenu, "Delete TrayIcon 2", $CM_DELETEICON2)
_GUICtrlMenu_AddMenuItem($hMenu, "Exit", $CM_EXIT)
#endregion

#region TrayIcon2
Global Const $iTrayId2 = _TrayIconEx_Create("user32.dll", -2) ;warning icon.
_TrayIconEx_SetState($iTrayId2, BitOR($TRAYICONSTATE_SHOW, $TRAYICONSTATE_FLASH)) ;showed and flashing icon.
_TrayIconEx_SetTip($iTrayId2, "ToolTip", "This is a tooltip")
#endregion

While 1
	Sleep(1000)
WEnd

Func WM_COMMAND($hWnd, $Msg, $wParam, $lParam)
	Switch Number($wParam)
		Case $CM_EXIT
			Exit ;all icons are destroyed on exit.
		Case $CM_SETICON2
			_TrayIconEx_SetIcon($iTrayId2) ;sets the default autoit icon.
		Case $CM_DELETEICON2
			_TrayIconEx_Delete($iTrayId2)
	EndSwitch
EndFunc

Func _TrayCallBack($iTrayId, $iMouseEvent)
	Switch $iTrayId
		Case $iTrayId1
			Switch $iMouseEvent
				Case $WM_RBUTTONUP ;right click mouse button
					_GUICtrlMenu_TrackPopupMenu($hMenu, $_hTrayIconEx_WndMsg)
			EndSwitch
	EndSwitch
EndFunc